
Foreman - Bug #1539

permission errors when hypervisor connection is not setup correctly

03/18/2012 06:16 PM - Corey Osman

Status: Resolved   

Priority: Normal   

Assignee: Corey Osman   

Category: Authentication   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I happen to run into this bug after coping my database from a 0.4  instance which doesn't have libvirt setup to the latest develop

branch.  I am not sure why an update to a host object requires the use of a hypervisor.

I also noticed that I can't edit a hostgroup that is a parent of another hostgroup.

Started PUT "/hosts/dnsserver.logicminds.corp?format=json" for 192.168.1.15 at Sun Mar 18 22:11:44

 -0700 2012

  Processing by HostsController#update as JSON

  Parameters: {"name"=>"dnsserver.logicminds.corp", "hostgroup_id"=>3, "id"=>"dnsserver.logicminds

.corp", "environment_id"=>1, "host"=>{"puppetclass_ids"=>[36, 33, 34]}}

Failed to connect to hypervisor esx - Must provide a username and password

Failed to initialize the Libvirt connection: Must provide a username and password

Failed to save: Failed to initialize the Libvirt connection: Must provide a username and password

Completed 422 Unprocessable Entity in 290ms (Views: 0.5ms | ActiveRecord: 10.2ms)

History

#1 - 03/18/2012 06:36 PM - Corey Osman

I removed the hypervisor but it looks like the host is still attached to it somehow.

Started PUT "/hosts/dnsserver.logicminds.corp?format=json" for 192.168.1.15 at Sun Mar 18 22:34:56 -0700 2012

  Processing by HostsController#update as JSON

  Parameters: {"name"=>"dnsserver.logicminds.corp", "hostgroup_id"=>3, "id"=>"dnsserver.logicminds.corp", "env

ironment_id"=>1, "host"=>{"puppetclass_ids"=>[36, 44]}}

Failed to initialize the Libvirt connection: Couldn't find Hypervisor with ID=1

Failed to save: Failed to initialize the Libvirt connection: Couldn't find Hypervisor with ID=1

Completed 422 Unprocessable Entity in 94ms (Views: 0.6ms | ActiveRecord: 8.4ms)

#2 - 03/19/2012 02:59 AM - Ohad Levy

- Status changed from New to Feedback

- Assignee changed from Ohad Levy to Corey Osman

- Target version deleted (1.0)

Corey, this error message seems related to your esx branch, normally we don't validate u/p within this context.

can you show me the entire diff?

Thanks

#3 - 05/17/2017 06:28 AM - Anonymous

- Description updated

- Status changed from Feedback to Resolved

I guess that's long resolved by now
